echo off
cls
echo.
echo            I N S T A L L A T I O N    F  R    G A S G   P R O G R A M M E 
echo            ---------------------------------------------------------------
echo.  
echo    WICHTIG:
echo Haben Sie bei Aufruf der Installation das gleiche Verzeichnis eingegeben
echo in dem sich bereits ein mit GASG erstelltes Spiel befindet, werden folgende
echo Dateien berschrieben wenn Sie die Frage, ob Datei berschrieben werden sollen 
echo mit Ja (Y) beantworten!!
echo CMF.IBK      (Instrumentendefinitionen fr CMF)
echo PALLEIST.DAT (Untere Farbleiste in GASGGRAF)
echo STDPAL.DAT   (Standardpalette in GASGGRAF)
echo.
echo Haben Sie Daten gendert, geben Sie unbedingt Nein (N) ein!
echo Bei den anderen Dateien ist die Eingabe egal, da es sich um identische
echo Dateien handelt.
echo Ignorieren Sie evtl. Fehlermeldungen (wenn z.B. Verzeichnis schon vorhanden)
echo.
pause >nul
if "%1" == "" goto fehler
if "%1" =="C:" goto zok
if "%1" =="c:" goto zok
if "%1" =="D:" goto zok
if "%1" =="d:" goto zok
if "%1" =="E:" goto zok
if "%1" =="e:" goto zok
if "%1" =="F:" goto zok
if "%1" =="f:" goto zok
if "%1" =="G:" goto zok
if "%1" =="g:" goto zok
if "%1" =="H:" goto zok
if "%1" =="h:" goto zok
goto nodrive

:zok
if "%2" == "" goto fehler

:diskok
echo.
echo Verzeichnis %1\%2 wird angelegt
mkdir %1\%2
echo.
echo Kopiere Disk nach %1\%2
copy *.* %1\%2 >nul
echo.
echo Entkomprimiere Disk 
%1
cd\%2
gasgexe.exe
del %1\%2\gasgexe.exe
goto endok


:fehler
cls
echo.
echo Sie haben das Programm mit ungltigen Parametern aufgerufen
echo.
echo Der richtige Aufruf lautet:
echo INSTPROG ziellaufwerk: zielverzeichnis
echo z.B. INSTPROG C: GASG
echo.
goto end

:nodrive
cls
echo.
echo %1 ist keine gltige Laufwerksbezeichnung fr das Ziellaufwerk!
echo.
echo Bitte geben Sie den Laufwerksnamen gefolgt von einem Doppelpunkt ein (z.B. C:)
goto end


:endok
echo.
echo INSTALLATION BEENDET
echo.
echo Wenn Sie eine Soundblasterkarte besitzen, geben Sie SBFMDRV ein, um den
echo Treiber zu laden.
echo Dieser Treiber liegt der Soundblasterkarte bei und darf aus rechtlichen
echo Grnden nicht mitgeliefert werden.
echo Er sollte sich im Zugriff (definierter Pfad in AUTOEXEC.BAT PATH=...) oder
echo im gleichen Verzeichnis befinden.
echo.
echo Geben Sie GASGMENU ein, um das Mensystem fr die Spielentwicklung bzw.
echo das Spiel zu starten.
echo.
echo Bei Erstinstallation ist es ratsam, das Demospiel auf Disk 2 in das gleiche
echo Verzeichnis zu installieren!
del %1\%2\gasgexe.com
del %1\%2\instprog.bat

:end

